Skip to main content
POST
/
v1
/
customers
Create or update a customer
curl --request POST \
  --url https://api.withflex.com/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer": {
    "first_name": "John",
    "last_name": "Doe",
    "email": "joh.doe@example.com",
    "phone": "+15555555555",
    "employer": "Flex",
    "shipping": {},
    "checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "metadata": "{\"key\": \"value\"}"
  }
}
'
import requests

url = "https://api.withflex.com/v1/customers"

payload = { "customer": {
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {},
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": "{\"key\": \"value\"}"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {
first_name: 'John',
last_name: 'Doe',
email: 'joh.doe@example.com',
phone: '+15555555555',
employer: 'Flex',
shipping: {},
checkout_session_id: 'fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA',
metadata: '{"key": "value"}'
}
})
};

fetch('https://api.withflex.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customer": {
    "customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
    "owner_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "first_name": "John",
    "last_name": "Doe",
    "email": "joh.doe@example.com",
    "phone": "+15555555555",
    "employer": "Flex",
    "shipping": {},
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "created_at": "2026-06-15T14:30:00Z",
    "test_mode": false
  }
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
{
"code": "string",
"detail": "string"
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Body

application/json

An envelope wrapping a single customer object.

An envelope wrapping a single customer object.

customer
object
required

The customer.

Example:
{
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {
"line1": "123 Main St",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94107",
"country": "US"
},
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": "{\"key\": \"value\"}"
}

Response

Success

An envelope wrapping a single customer object.

customer
object
required

The customer.

Example:
{
"customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"owner_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {
"shipping_address_id": "fsh_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"line1": "123 Main St",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94107",
"country": "US"
},
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false
}